# Security Compliance Management (formerly Comply)

Puppet Security Compliance Management (SCM) is a tool that assesses the infrastructure you manage with Puppet Enterprise against CIS Benchmarks — the best practices for securely configuring systems from the Center for Internet Security (CIS).

## Installing

This Module is required by the SCM product and should only be used as per the [complete install instructions](https://help.puppet.com/scm/current/Content/UserGuide/scm_user_guide.htm)

## Configuration

By default, SCM will install various dependencies required in order for the module and the CIS Assessor to function. Should you wish to configure what SCM manages, see the [reference](REFERENCE.md) for more details.

## Obtaining the Product

Please [get in touch with a Puppet Representative](https://puppet.com/contact-sales/)

## Running Acceptance Tests
```
bundle exec rake litmus:tear_down;
bundle exec rake litmus:provision_list[release_checks]; #reduce hosts in provision.yaml if required
bundle exec rake litmus:install_agent[puppet7];
bundle exec rake litmus:install_module;
bundle exec rake litmus:acceptance:parallel; #bundle exec rake litmus:acceptance:rid-fraternity.delivery.puppetlabs.net
```



